package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="KelainanDetail_t")
public class KelainanDetail extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectkehamilanSekarangFk")
	@Caption(value = "Object kehamilanSekarang")
	private KehamilanSekarang kehamilanSekarang;
	
	@Column(name = "ObjectkehamilanSekarangFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false,nullable=false)
	private String kehamilanSekarangId;

	@ManyToOne
	@JoinColumn(name = "ObjectkelainanKehamilanFk")
	@Caption(value = "Object kelainanKehamilan")
	private KelainanKehamilan kelainanKehamilan;
	
	@Column(name = "ObjectkelainanKehamilanFk", insertable = false, updatable = false,nullable=false)
	private Integer kelainanKehamilanId;

	@Column(name = "isNilai", nullable = true, length = 100)
	@Caption(value = "isNilai")
	private Boolean isNilai;

	public KehamilanSekarang getKehamilanSekarang() {
		return kehamilanSekarang;
	}

	public void setKehamilanSekarang(KehamilanSekarang kehamilanSekarang) {
		this.kehamilanSekarang = kehamilanSekarang;
	}

	public String getKehamilanSekarangId() {
		return kehamilanSekarangId;
	}

	public void setKehamilanSekarangId(String kehamilanSekarangId) {
		this.kehamilanSekarangId = kehamilanSekarangId;
	}

	public KelainanKehamilan getKelainanKehamilan() {
		return kelainanKehamilan;
	}

	public void setKelainanKehamilan(KelainanKehamilan kelainanKehamilan) {
		this.kelainanKehamilan = kelainanKehamilan;
	}

	public Integer getKelainanKehamilanId() {
		return kelainanKehamilanId;
	}

	public void setKelainanKehamilanId(Integer kelainanKehamilanId) {
		this.kelainanKehamilanId = kelainanKehamilanId;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}
	
}
